package cn.com.poc.thirdparty.resource.tianju.api.entity;

import java.io.Serializable;

/**
 * @Author: Leon Liu
 * @Date: 2024/4/17 15:54
 */
public class TianNewsSortRequest implements Serializable {
    /**
     * 返回数量1-50 (必需)
     */
    private Integer num;

    /**
     * 新闻频道对应的ID (必需)
     */
    private Integer col;

    /**
     * 翻页
     */
    private Integer page;

    /**
     * 随机获取
     */
    private Integer rand;

    /**
     * 检索关键词
     */
    private String word;

    public TianNewsSortRequest(Integer num, Integer col, Integer page, Integer rand, String word) {
        this.num = num;
        this.col = col;
        this.page = page;
        this.rand = rand;
        this.word = word;
    }

    public TianNewsSortRequest() {
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getCol() {
        return col;
    }

    public void setCol(Integer col) {
        this.col = col;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRand() {
        return rand;
    }

    public void setRand(Integer rand) {
        this.rand = rand;
    }

    public String getWord() {
        return word;
    }

    public void setWord(String word) {
        this.word = word;
    }
}
